<?xml version="1.0" encoding="ISO-8859-1"?> 

<xsl:stylesheet version="2.0" 
  xmlns="http://www.w3.org/1999/xhtml"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:xs="http://www.w3.org/2001/XMLSchema"
  xmlns:fn="http://www.w3.org/2005/02/xpath-functions"
  xmlns:xdt="http://www.w3.org/2005/02/xpath-datatypes"
  exclude-result-prefixes="xsl fn xs xdt">

<xsl:output method="xhtml" encoding="ISO-8859-1" indent="yes" omit-xml-declaration="yes" media-type="text/html" 
 doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN" doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"/>
 	
 <xsl:template name="replaceNewLine">
		<xsl:param name="string" />
		<xsl:choose>
			<xsl:when test="contains($string,'&#10;')">
				<xsl:value-of select="substring-before($string,'&#10;')" />
				<br />
				<xsl:call-template name="replaceNewLine">
					<xsl:with-param name="string"
						select="substring-after($string,'&#10;')" />
				</xsl:call-template>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="$string" />
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	
	<xsl:template name="outputCard">
		<xsl:param name="card" />
		<xsl:param name="imageloc" />
	
		<xsl:variable name="cardurl" select="payment-model/cardselection-action-url" as="xs:string"/>
		<xsl:variable name="requiredlang" select="payment-model/language" as="xs:string"/>
		<xsl:variable name="i18n" select="document('i18n.xml')" />
		<xsl:variable name="vpsprotocol" select="payment-model/transaction/vpsprotocol"/>					
		<td valign="top" align = "center">
		<form method="post" name="{concat('cardselection',$card/shortname)}">
		    <xsl:attribute name="action"><xsl:copy-of select="$cardurl"/></xsl:attribute>																																					
		    <input type="hidden" name="clickedButton" value=""/>
		    <a onmouseover="{concat('activate(''',$card/shortname,''')')}"
		    onmouseout="{concat('inactivatecard(''',$card/shortname,''')')}"
		    onclick="{concat('submitTheForm(''cardselection',$card/shortname,''',''',$card/shortname,''')')}">
			
		    <script type="text/javascript" language="javascript">
		    document.write('<xsl:text disable-output-escaping="yes">&lt;img border="0" align="center" src="</xsl:text>');
		    document.write('<xsl:copy-of select="$imageloc"/><xsl:value-of select="$card/shortname"/><xsl:text disable-output-escaping="yes">_logo.gif" name="</xsl:text>');
		    document.write('<xsl:value-of select="$card/shortname"/>');
		    document.write('<xsl:text disable-output-escaping="yes">" alt="</xsl:text>');
		    document.write('<xsl:choose><xsl:when test="$card/paymentsystemname = 'UK Maestro'">');
		    document.write('<xsl:text>Maestro</xsl:text></xsl:when><xsl:otherwise>');
		    document.write('<xsl:value-of select="$card/paymentsystemname"/></xsl:otherwise></xsl:choose>');
		    document.write('<xsl:text disable-output-escaping="yes">" title="</xsl:text>');
		    document.write('<xsl:value-of select="$card/description"/>');
		    document.write('<xsl:text disable-output-escaping="yes">"/&gt;</xsl:text>');
		    <xsl:if test="$vpsprotocol >=  3.00">
			    <xsl:if test="$card/shortname = 'MCDEBIT'">
			    	document.write('<xsl:text disable-output-escaping="yes">&lt;br/&gt;</xsl:text>');
			    	document.write('<xsl:value-of select="$i18n/multi-lingual-text/texts[lang($requiredlang)]/text[@label='debit']"/>');
			    </xsl:if>
			    <xsl:if test="$card/shortname = 'MC'">
			    	document.write('<xsl:text disable-output-escaping="yes">&lt;br/&gt;</xsl:text>');
			    	document.write('<xsl:value-of select="$i18n/multi-lingual-text/texts[lang($requiredlang)]/text[@label='credit']"/>');	
			    </xsl:if>
			</xsl:if>
		    </script>
		    </a>
			
			<noscript>
			    <input type="image" name="cardlogo">
				    <xsl:attribute name="src"><xsl:copy-of select="$imageloc"/><xsl:value-of select="$card/shortname"/><xsl:text>_logo.gif</xsl:text></xsl:attribute>
				    <xsl:attribute name="name"><xsl:value-of select="$card/shortname"/></xsl:attribute>
				    <xsl:attribute name="alt">
					    <xsl:choose>
						    <xsl:when test="$card/paymentsystemname = 'UK Maestro'">
							    <xsl:text>Maestro</xsl:text>
						    </xsl:when>
						    <xsl:otherwise>
							    <xsl:value-of select="$card/paymentsystemname"/>
						    </xsl:otherwise>
					    </xsl:choose>												
				    </xsl:attribute>
			    </input>											
		    </noscript>
		    <input name="action" type="hidden" value="proceed"></input>
		    <input type="hidden" name="cardselected">
			    <xsl:attribute name="value"><xsl:value-of select="$card/paymentsystemname"/></xsl:attribute>
		    </input>				
	    </form>
	    </td>

	</xsl:template>
	
	<xsl:template name="showCards">
		<xsl:param name="cardList" />
		<xsl:param name="imageloc" />
		<xsl:param name="position" select="0" />
		
		<xsl:choose>
			<xsl:when test="count($cardList) > 0" >
				<xsl:choose>
					<xsl:when test="$position = 0">
						<xsl:text disable-output-escaping="yes">&lt;tr&gt;</xsl:text>
					</xsl:when>
					<xsl:when test="$position = 7">
						<xsl:text disable-output-escaping="yes">&lt;/tr&gt;&lt;tr&gt;</xsl:text>
					</xsl:when>
				</xsl:choose>
	    		<xsl:call-template name="outputCard">
					<xsl:with-param name="card"
						select="$cardList[1]" />
					<xsl:with-param name="imageloc"
						select="$imageloc" />
				</xsl:call-template>			
	    		
		  		<xsl:call-template name="showCards">
					<xsl:with-param name="cardList"
						select="$cardList[position() > 1]" />
					<xsl:with-param name="imageloc"
						select="$imageloc" />
					<xsl:with-param name="position"
						select="$position+1" />
				</xsl:call-template>
			</xsl:when>
			<xsl:otherwise>
				<xsl:text disable-output-escaping="yes">&lt;/tr&gt;</xsl:text>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>

    <xsl:template name="showPaypalLinks">
        <xsl:param name="i18n"/>
        <xsl:param name="lang"/>
        <p class="indent">
            <a target="_blank">
                <xsl:attribute name="href">
                    <xsl:value-of
                        select="$i18n/multi-lingual-text/texts[lang($lang)]/text[@label='paypal_whatis_link']"/>
                </xsl:attribute>
                <xsl:value-of select="$i18n/multi-lingual-text/texts[lang($lang)]/text[@label='paypal_whatis_text']"/>
            </a>
            <xsl:text>  </xsl:text>
            <xsl:value-of
                select="$i18n/multi-lingual-text/texts[lang($lang)]/text[@label='paypal_create_account_text']"/>
            <xsl:text> </xsl:text>
            <a target="_blank">
                <xsl:attribute name="href">
                    <xsl:value-of
                        select="$i18n/multi-lingual-text/texts[lang($lang)]/text[@label='paypal_create_account_link']"/>
                </xsl:attribute>
                <xsl:value-of
                    select="$i18n/multi-lingual-text/texts[lang($lang)]/text[@label='paypal_create_account_linktext']"/>
            </a>
        </p>
    </xsl:template>
	
	<xsl:template match="/">

		<!-- select the languages to use default is english-->
		<xsl:variable name="i18n" select="document('i18n.xml')" />
		<xsl:variable name="requiredlang" select="payment-model/language" as="xs:string"/>
		<xsl:variable name="lang">
			<xsl:choose>
				<xsl:when test="string-length($i18n/multi-lingual-text/texts[lang($requiredlang)]/text[@label='threed_d_page_tittle']) > 0">
					<xsl:value-of select="payment-model/language" />
				</xsl:when>
				<xsl:otherwise>en</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		<xsl:variable name="imageloc" select="concat(payment-model/imagesURL,payment-model/vendor/vendortemplate,'/')" as="xs:string"/>
	<xsl:variable name="transactiontypeid" select="payment-model/transaction/transactiontypeid"/>
<html>
<head>
	<title>
		<xsl:value-of select="$i18n/multi-lingual-text/texts[lang($lang)]/text[@label='sagepay_page_title']"/>
	</title>
			<style type="text/css" media="screen">@import url("<xsl:copy-of select="$imageloc"/>vsp3.css");</style>
			<script type="text/javascript" language="JavaScript1.2">
	                function popUp(url)
	                {
	                sealWin=window.open(url,"win",'toolbar=0,location=0,directories=0,status=0,menubar=0,scrollbars=1,resizable=1,width=650,height=650');
	                self.name = "mainWin";
	                }
	
	                function popUpNoMenu(url)
	                {
	                sealWin=window.open(url,"win",'toolbar=0,location=0,directories=0,status=1,menubar=0,scrollbars=1,resizable=1');
	                self.name = "mainWin";
	                }
	
	                function popUpWithMenu(url)
	                {
	                sealWin=window.open(url,"win",'toolbar=1,location=0,directories=0,status=1,menubar=1,scrollbars=1,resizable=1');
	                self.name = "mainWin";
	                }
	
	                function popUpSmall(url)
	                {
	                sealWin=window.open(url,"win",'toolbar=0,location=0,directories=0,status=0,menubar=0,scrollbars=0,resizable=1,width=590,height=600');
	                self.name = "mainWin";
	                }
			</script>
		
			<script type="text/javascript" language="javascript">
				  <!--
				  //Preload images for this page-->
				  if (document.images) {
					 var cancel_btn = new Image()
					 cancel_btn.src = "<xsl:copy-of select="$imageloc"/><xsl:value-of select="$i18n/multi-lingual-text/texts[lang($lang)]/text[@label='cancel_img_file']"/>"
					 var cancel_over = new Image()
					 cancel_over.src = "<xsl:copy-of select="$imageloc"/><xsl:value-of select="$i18n/multi-lingual-text/texts[lang($lang)]/text[@label='cancel_over_img_file']"/>"
					 var subsmallimg = new Image()
					 subsmallimg.src = "<xsl:copy-of select="$imageloc"/><xsl:value-of select="$i18n/multi-lingual-text/texts[lang($lang)]/text[@label='submitted_small_img_file']"/>"

					 var MC_logo = new Image()
					 MC_logo.src = "<xsl:copy-of select="$imageloc"/>MC_logo.gif"
					 var MC_over = new Image()
					 MC_over.src = "<xsl:copy-of select="$imageloc"/>MC_over.gif"					 
					 var MCDEBIT_logo = new Image()
					 MCDEBIT_logo.src = "<xsl:copy-of select="$imageloc"/>MCDEBIT_logo.gif"
					 var MCDEBIT_over = new Image()
					 MCDEBIT_over.src = "<xsl:copy-of select="$imageloc"/>MCDEBIT_over.gif"
					 var VISA_logo = new Image()
					 VISA_logo.src = "<xsl:copy-of select="$imageloc"/>VISA_logo.gif"
					 var VISA_over = new Image()
					 VISA_over.src = "<xsl:copy-of select="$imageloc"/>VISA_over.gif"
					 var DELTA_logo = new Image()
					 DELTA_logo.src = "<xsl:copy-of select="$imageloc"/>DELTA_logo.gif"
					 var DELTA_over = new Image()
					 DELTA_over.src = "<xsl:copy-of select="$imageloc"/>DELTA_over.gif"
					 var SWITCH_logo = new Image()
					 SWITCH_logo.src = "<xsl:copy-of select="$imageloc"/>SWITCH_logo.gif"
					 var SWITCH_over = new Image()
					 SWITCH_over.src = "<xsl:copy-of select="$imageloc"/>SWITCH_over.gif"
					 var MAESTRO_logo = new Image()
					 MAESTRO_logo.src = "<xsl:copy-of select="$imageloc"/>MAESTRO_logo.gif"
					 var MAESTRO_over = new Image()
					 MAESTRO_over.src = "<xsl:copy-of select="$imageloc"/>MAESTRO_over.gif"
					 var UKE_logo = new Image()
					 UKE_logo.src = "<xsl:copy-of select="$imageloc"/>UKE_logo.gif"
					 var UKE_over = new Image()
					 UKE_over.src = "<xsl:copy-of select="$imageloc"/>UKE_over.gif"
					 var AMEX_logo = new Image()
					 AMEX_logo.src = "<xsl:copy-of select="$imageloc"/>AMEX_logo.gif"
					 var AMEX_over = new Image()
					 AMEX_over.src = "<xsl:copy-of select="$imageloc"/>AMEX_over.gif"
					 var DC_logo = new Image()
					 DC_logo.src = "<xsl:copy-of select="$imageloc"/>DC_logo.gif"
					 var DC_over = new Image()
					 DC_over.src = "<xsl:copy-of select="$imageloc"/>DC_over.gif"
					 var JCB_logo = new Image()
					 JCB_logo.src = "<xsl:copy-of select="$imageloc"/>JCB_logo.gif"
					 var JCB_over = new Image()
					 JCB_over.src = "<xsl:copy-of select="$imageloc"/>JCB_over.gif"
					 var PAYPAL_logo = new Image()
					 PAYPAL_logo.src = "<xsl:copy-of select="$imageloc"/>PAYPAL_logo.gif"
					 var PAYPAL_over = new Image()
					 PAYPAL_over.src = "<xsl:copy-of select="$imageloc"/>PAYPAL_over.gif"
					 var LASER_logo = new Image()
					 LASER_logo.src = "<xsl:copy-of select="$imageloc"/>LASER_logo.gif"
					 var LASER_over = new Image()
					 LASER_over.src = "<xsl:copy-of select="$imageloc"/>LASER_over.gif"
					 var EPS_logo = new Image()
					 EPS_logo.src = "<xsl:copy-of select="$imageloc"/>EPS_logo.gif"
					 var EPS_over = new Image()
					 EPS_over.src = "<xsl:copy-of select="$imageloc"/>EPS_over.gif"
					 var GIROPAY_logo = new Image()
					 GIROPAY_logo.src = "<xsl:copy-of select="$imageloc"/>GIROPAY_logo.gif"
					 var GIROPAY_over = new Image()
					 GIROPAY_over.src = "<xsl:copy-of select="$imageloc"/>GIROPAY_over.gif"
					 var IDEAL_logo = new Image()
					 IDEAL_logo.src = "<xsl:copy-of select="$imageloc"/>IDEAL_logo.gif"
					 var IDEAL_over = new Image()
					 IDEAL_over.src = "<xsl:copy-of select="$imageloc"/>IDEAL_over.gif"
					 var SOFORT_logo = new Image()
					 SOFORT_logo.src = "<xsl:copy-of select="$imageloc"/>SOFORT_logo.gif"
					 var SOFORT_over = new Image()
					 SOFORT_over.src = "<xsl:copy-of select="$imageloc"/>SOFORT_over.gif"
					 var ELV_logo = new Image()
					 ELV_logo.src = "<xsl:copy-of select="$imageloc"/>ELV_logo.gif"
					 var ELV_over = new Image()
					 ELV_over.src = "<xsl:copy-of select="$imageloc"/>ELV_over.gif"
					 }
			</script>	 
		
		<script type="text/javascript" language="javascript" src="{concat(payment-model/imagesURL,'sagepay/buttonscript.js')}" />
		<script src="../js/jquery-1.7.1.js"/>
		<script>
			$(document).ready(function(){
			
				$("#hiddenPayments").hide();
			});
				
			function showPayments(duration) {
				$("#showText").fadeOut(10);
				showDiv("#hiddenPayments", duration)  
			}
			
			function showDiv(div, duration) {
				$(div).slideDown(duration);
			}
			
			function hideDiv(div, duration) {
				$(div).slideUp(duration);
			}
		
		</script>
		
</head>

<body>
<div id="pageWrapper">
	<div id="header">
        <table width="100%" border="0" cellpadding="0" cellspacing="0">
            <tbody>
                <tr>
                    <td width="50%" valign="top">
                        <img src="{concat(payment-model/imagesURL,'sagepay/logo.png')}" id="sagePayLogo" alt="Sagepay"/>
                    </td>
                    <td width="50%" valign="top">
                        <img src="{concat(payment-model/imagesURL,payment-model/vendor/vspvendorname,'/',payment-model/vendor/logo)}" id="vendorLogo"/>
                    </td>
                </tr>
            </tbody>
        </table>
        <xsl:if test="$transactiontypeid != 15">
		<div class="sectionheader noTopMargin">
            <xsl:value-of select="$i18n/multi-lingual-text/texts[lang($lang)]/text[@label='subtitle_transaction_details']"/>	
        </div>		   
        <div id="transactionDetails">
	        <table>
		        <tr>
			        <td class="label">
				        <xsl:value-of select="$i18n/multi-lingual-text/texts[lang($lang)]/text[@label='topayfor']"/>
			        </td>
			        <td class="data">
				        <xsl:value-of select="payment-model/transaction/description"/>
			        </td>
		        </tr>
		        <tr>
			        <td class="label">
				        <xsl:value-of select="$i18n/multi-lingual-text/texts[lang($lang)]/text[@label='amount']"/>
			        </td>
			        <td class="data"><span class="total">
				        <xsl:value-of select="payment-model/transaction/formatedamount"/>
				        <xsl:text> </xsl:text>
				        <xsl:value-of select="payment-model/transaction/currency"/></span>
			        </td>
		        </tr>
	        </table>
        </div>	
        </xsl:if>
	</div>
	<div class="greyHzShadeBar">&#160;</div>
    <xsl:if test="count(//errormessage) > 0">
        <div class="errormessages">
            <xsl:for-each select="//errormessage">
                <p class="errortext indent">
                    <xsl:value-of select="value"/>
                </p>
            </xsl:for-each>
        </div>
    </xsl:if>

    <xsl:variable name="paypalPaymentSystem" select="//paymentsystems/paymentsystem[shortname = 'PAYPAL']"/>
    <xsl:variable name="mainPaymentSystems" select="//paymentsystems/paymentsystem[shortname != 'PAYPAL']"/>
    <xsl:if test="count($paypalPaymentSystem) > 0">
        <div class="sectionheader">
            <xsl:value-of select="$i18n/multi-lingual-text/texts[lang($lang)]/text[@label='paypal_section_header']"/>
        </div>
        <p class="indent">
            <xsl:value-of select="$i18n/multi-lingual-text/texts[lang($lang)]/text[@label='paypal_tagline']"/>
        </p>
        <xsl:call-template name="showCards">
            <xsl:with-param name="cardList"
                            select="$paypalPaymentSystem" />
            <xsl:with-param name="imageloc"
                            select="$imageloc" as="xs:string"/>
        </xsl:call-template>
        <xsl:call-template name="showPaypalLinks">
            <xsl:with-param name="i18n" select="$i18n"/>
            <xsl:with-param name="lang" select="$lang"/>
        </xsl:call-template>
    </xsl:if>
	<div class="sectionheader">
		<xsl:value-of select="$i18n/multi-lingual-text/texts[lang($lang)]/text[@label='subtitle_selectpaymentmethod']"/>
	</div>
	<div>
	    <p class="indent">
	        <xsl:value-of select="$i18n/multi-lingual-text/texts[lang($lang)]/text[@label='please_select_cardtype']"/>
	    </p>
	    <table>
		<xsl:call-template name="showCards">
			<xsl:with-param name="cardList"
				select="$mainPaymentSystems" />
			<xsl:with-param name="imageloc"
				select="$imageloc" as="xs:string"/>
		</xsl:call-template>
		</table>
	    <xsl:if test="payment-model/hidden_paymentsystems[node()]"> 
		   <script type="text/javascript" language="javascript">document.write('<p><a href="javascript:showPayments(\'300\');" id="showText"> <xsl:value-of disable-output-escaping="yes" select="$i18n/multi-lingual-text/texts[lang($lang)]/text[@label='show_more_payments']"/></a></p>')</script>
		    <div id="hiddenPayments">
		    <table>
		    <xsl:call-template name="showCards">
					<xsl:with-param name="cardList"
						select="//hidden_paymentsystems/paymentsystem" />
					<xsl:with-param name="imageloc"
						select="$imageloc" as="xs:string"/>
			</xsl:call-template>
			</table>
		    </div>
		</xsl:if>
	    <xsl:if test="payment-model/surcharge-info[node()]">
	    <div class="surcharge">
	     <xsl:call-template name="replaceNewLine">
					<xsl:with-param name="string"
						select="payment-model/surcharge-info" />
				</xsl:call-template>
				</div>
	    </xsl:if>
	    <form method="post" name="cancelpayment">
	    <xsl:attribute name="action"><xsl:value-of select="payment-model/cancelation-action-url"/></xsl:attribute>
	    <div id="templateCancel">
	        <p class="indent">
		        <xsl:value-of select="$i18n/multi-lingual-text/texts[lang($lang)]/text[@label='please_cancel_here']"/>	
	        </p>
		    <input type="hidden" name="clickedButton" value=""/>
		    <a href="#" onmouseover="activate('cancel')" onmouseout="inactivate('cancel')" onclick="submitTheForm('cancelpayment','cancel');return false">
		        <script type="text/javascript" language="javascript">
		        document.write('<xsl:text disable-output-escaping="yes">&lt;img border="0" name="cancel" src="</xsl:text>');
		        document.write('<xsl:copy-of select="$imageloc"/><xsl:value-of select="$i18n/multi-lingual-text/texts[lang($lang)]/text[@label='cancel_img_file']"/>');
		        document.write('<xsl:text disable-output-escaping="yes">" alt="</xsl:text>');
		        document.write('<xsl:value-of select="$i18n/multi-lingual-text/texts[lang($lang)]/text[@label='cancel']"/>');
		        document.write('<xsl:text disable-output-escaping="yes">"/&gt;</xsl:text>');
		        </script>
		    </a>	
		    <noscript>
		        <input name="cancel" type="image">
		        <xsl:attribute name="src"><xsl:copy-of select="$imageloc"/><xsl:value-of select="$i18n/multi-lingual-text/texts[lang($lang)]/text[@label='cancel_img_file']"/></xsl:attribute>
		        <xsl:attribute name="alt"><xsl:value-of select="$i18n/multi-lingual-text/texts[lang($lang)]/text[@label='cancel']"/></xsl:attribute>
		        </input>
		    </noscript>
	    </div>
	    </form>										
    </div>
    <div class="greyHzShadeBar">&#160;</div>
    <div id="templatefooter">
	    <script type="text/javascript" language="javascript">
		    document.write('<xsl:text disable-output-escaping="yes">&lt;a class="bodybold" href="javascript:popUp(\'</xsl:text>');
		    document.write('<xsl:copy-of select="$imageloc"/><xsl:value-of select="$i18n/multi-lingual-text/texts[lang($lang)]/text[@label='faq_file']"/>');
		    document.write('<xsl:text disable-output-escaping="yes">\');"&gt;FAQs&lt;/a&gt;</xsl:text>');
	    </script>
	    <noscript>
		    <a class="bodybold">
		    <xsl:attribute name="href"><xsl:copy-of select="$imageloc"/><xsl:value-of select="$i18n/multi-lingual-text/texts[lang($lang)]/text[@label='faq_file']"/></xsl:attribute>
		    <xsl:attribute name="target">_blank</xsl:attribute>
		    FAQs</a>
	    </noscript>
        <script type="text/javascript" language="javascript">
            document.write('<div id="padlockContainer">');
            document.write('<xsl:text disable-output-escaping="yes">&lt;a href="javascript:top.location.href=window.location.href;"&gt;&lt;img id="padlockimage" alt="padlock" src="</xsl:text>');
            document.write('<xsl:copy-of select="$imageloc"/><xsl:text disable-output-escaping="yes">padlock_sml.gif"/&gt;&lt;/a&gt;</xsl:text>');
            document.write('<xsl:value-of select="$i18n/multi-lingual-text/texts[lang($lang)]/text[@label='padlockmessage']"/>');
            document.write('</div>');
        </script>
    </div>	
</div>
</body>
</html>
</xsl:template>
</xsl:stylesheet>
